org.apache.felix.ipojo.util

## Class StreamUtils

- java.lang.Object
- - org.apache.felix.ipojo.util.StreamUtils

    public class StreamUtils
    extends java.lang.Object

Utility method to handle streams.

### Constructor Summary

Constructors
Constructor and Description
`StreamUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `closeQuietly(java.io.Closeable stream)` Closes a stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamUtils

    public StreamUtils()

### Method Detail

#### closeQuietly

    public static void closeQuietly(java.io.Closeable stream)

Closes a stream. It ignores the IOException that may occur while closing the stream.

Parameters:
  `stream` - the stream to close.